The OpenWrt Firmware Selector

The variables in the script does not have any influence on the build process. :confused:

Perhaps because now it is not possible not only to finish this very assembly, but also to start it?
Do we immediately get a red line without any identification marks?

The same problem. No one can compile the firmware on the 4pda forum. Please fix the firmware selector

How can I fix it if I am a user like you?
Although....
If only with your help))))

I don't expect you to fix it)) I replied to you only to confirm the existence of a problem. My request to fix the site is certainly not addressed to you)

Firmware selector works fine now. Just got a build for my EA8500 with ath10k mainline firmware instead of ct. Compiled just fine and was able to download it within a few minutes.

unfortunately, the setting (uci-defaults) is still not working

1 Like

Is there a future plan to bring back the uci-defaults functionality?

1 Like

Looks like the sysupgrade environments are starting to act up again. I'm unable to build the latest SNAPSHOT for my GL.iNet MT6000s.

2 Likes

Seems to work fine here.
What acting up do you see? You must have some patience, it takes some time.

GL.inet MT6000, snapshot r24750 with packages:
luci
luci-app-attendedsysupgrade
auc
luci-app-statistics
collectd-mod-thermal
htop
irqbalance
luci-app-https-dns-proxy
luci-app-banip

Are you getting older images instead of the latest snapshot?

When I try to get an updated snapshot for my NanoPi R5C it says it is built successfully but the version is the same as the previous one I built earlier this week. No errors or anything.

1 Like

Yes, it can't seem to request the latest components to build. Here is my output from auc.

auc/0.3.2-1
Server:    https://sysupgrade.openwrt.org
Running:   SNAPSHOT r24727-438a97fab6 on mediatek/filogic (glinet,gl-mt6000)
Available: SNAPSHOT r24750-f1de1a090f
Requesting package lists...
 base-files: 1558-r24727-438a97fab6 -> 1558-r24750-f1de1a090f
Are you sure you want to continue the upgrade process? [N/y] y
Current Target: "mediatek/filogic"
Current Architecture: "aarch64"
Current Revision: "r24727-438a97fab6"
Default Packages: base-files ca-bundle dropbear fstools libc libgcc libustream-mbedtls logd mtd netifd opkg uci uclient-fetch urandom-seed urngd busybox procd procd-ujail procd-seccomp kmod-leds-gpio kmod-gpio-button-hotplug kmod-crypto-hw-safexcel kmod-mt7915e wpad-basic-mbedtls uboot-envtools dnsmasq firewall4 nftables kmod-nft-offload odhcp6c odhcpd-ipv6only ppp ppp-mod-pppoe
Available Profiles:

acelink_ew-7886cax:
    Acelink EW-7886CAX
    Packages: kmod-mt7986-firmware mt7986-wo-firmware
    hasImageMetadata: 1
    SupportedDevices: acelink,ew-7886cax
acer_predator-w6:
    Acer Predator W6
    Packages: kmod-usb3 kmod-mt7986-firmware kmod-mt7916-firmware mt7986-wo-firmware e2fsprogs f2fsck mkf2fs
    hasImageMetadata: 1
    SupportedDevices: acer,predator-w6
smartrg_sdg-8612:
    Adtran SDG-8612
    Packages: e2fsprogs f2fsck mkf2fs kmod-hwmon-pwmfan kmod-mt7986-firmware mt7986-wo-firmware
    hasImageMetadata: 1
    SupportedDevices: smartrg,sdg-8612
smartrg_sdg-8614:
    Adtran SDG-8614
    Packages: e2fsprogs f2fsck mkf2fs kmod-hwmon-pwmfan kmod-mt7986-firmware mt7986-wo-firmware
    hasImageMetadata: 1
    SupportedDevices: smartrg,sdg-8614
smartrg_sdg-8622:
    Adtran SDG-8622
    Packages: e2fsprogs f2fsck mkf2fs kmod-hwmon-pwmfan kmod-mt7986-firmware mt7986-wo-firmware kmod-mt7915-firmware
    hasImageMetadata: 1
    SupportedDevices: smartrg,sdg-8622
smartrg_sdg-8632:
    Adtran SDG-8632
    Packages: e2fsprogs f2fsck mkf2fs kmod-hwmon-pwmfan kmod-mt7986-firmware mt7986-wo-firmware kmod-mt7915-firmware
    hasImageMetadata: 1
    SupportedDevices: smartrg,sdg-8632
asus_rt-ax59u:
    ASUS RT-AX59U
    Packages: kmod-usb3 kmod-mt7986-firmware mt7986-wo-firmware
    hasImageMetadata: 1
    SupportedDevices: asus,rt-ax59u
asus_tuf-ax4200:
    ASUS TUF-AX4200
    Packages: kmod-usb3 kmod-mt7986-firmware mt7986-wo-firmware
    hasImageMetadata: 1
    SupportedDevices: asus,tuf-ax4200
asus_tuf-ax6000:
    ASUS TUF-AX6000
    Packages: kmod-usb3 kmod-mt7986-firmware mt7986-wo-firmware
    hasImageMetadata: 1
    SupportedDevices: asus,tuf-ax6000
bananapi_bpi-r3:
    Bananapi BPi-R3
    Packages: kmod-hwmon-pwmfan kmod-i2c-gpio kmod-mt7986-firmware kmod-sfp kmod-usb3 e2fsprogs f2fsck mkf2fs mt7986-wo-firmware
    hasImageMetadata: 1
    SupportedDevices: bananapi,bpi-r3
cetron_ct3003:
    Cetron CT3003
    Packages: kmod-mt7981-firmware mt7981-wo-firmware
    hasImageMetadata: 1
    SupportedDevices: cetron,ct3003 mediatek,mt7981-spim-snand-rfb
cmcc_rax3000m:
    CMCC RAX3000M
    Packages: kmod-mt7981-firmware mt7981-wo-firmware kmod-usb3 e2fsprogs f2fsck mkf2fs
    hasImageMetadata: 1
    SupportedDevices: cmcc,rax3000m
confiabits_mt7981:
    Confiabits MT7981
    Packages: kmod-usb3 kmod-mt7981-firmware mt7981-wo-firmware
    hasImageMetadata: 1
    SupportedDevices: confiabits,mt7981 mediatek,mt7981-spim-snand-2500wan-gmac2-rfb
cudy_wr3000-v1:
    Cudy WR3000 v1
    Packages: kmod-mt7981-firmware mt7981-wo-firmware
    hasImageMetadata: 1
    SupportedDevices: cudy,wr3000-v1 R31
glinet_gl-mt2500:
    GL.iNet GL-MT2500
    Packages: -kmod-mt7915e -wpad-basic-mbedtls e2fsprogs f2fsck mkf2fs kmod-usb3
    hasImageMetadata: 0
    SupportedDevices: glinet,gl-mt2500 glinet,mt2500-emmc
glinet_gl-mt3000:
    GL.iNet GL-MT3000
    Packages: kmod-mt7981-firmware mt7981-wo-firmware kmod-hwmon-pwmfan kmod-usb3
    hasImageMetadata: 0
    SupportedDevices: glinet,gl-mt3000 glinet,mt3000-snand
glinet_gl-mt6000:
    GL.iNet GL-MT6000
    Packages: e2fsprogs f2fsck mkf2fs kmod-usb3 kmod-mt7986-firmware mt7986-wo-firmware
    hasImageMetadata: 1
    SupportedDevices: glinet,gl-mt6000
h3c_magic-nx30-pro:
    H3C Magic NX30 Pro
    Packages: kmod-mt7981-firmware mt7981-wo-firmware
    hasImageMetadata: 1
    SupportedDevices: h3c,magic-nx30-pro
jcg_q30-pro:
    JCG Q30 PRO
    Packages: kmod-mt7981-firmware mt7981-wo-firmware
    hasImageMetadata: 1
    SupportedDevices: jcg,q30-pro
mediatek_mt7981-rfb:
    MediaTek MT7981 rfb
    Packages: kmod-mt7981-firmware kmod-usb3 e2fsprogs f2fsck mkf2fs mt7981-wo-firmware
    hasImageMetadata: 1
    SupportedDevices: mediatek,mt7981-rfb
mediatek_mt7986a-rfb-nand:
    MediaTek MT7986 rfba AP (NAND)
    Packages: kmod-mt7986-firmware mt7986-wo-firmware
    hasImageMetadata: 1
    SupportedDevices: mediatek,mt7986a-rfb-snand
mediatek_mt7986b-rfb:
    MediaTek MTK7986 rfbb AP
    Packages: kmod-mt7986-firmware mt7986-wo-firmware
    hasImageMetadata: 1
    SupportedDevices: mediatek,mt7986b-rfb
mediatek_mt7988a-rfb:
    MediaTek MT7988A rfb
    Packages: kmod-sfp
    hasImageMetadata: 1
    SupportedDevices: mediatek,mt7988a-rfb
mercusys_mr90x-v1:
    MERCUSYS MR90X v1
    Packages: kmod-mt7986-firmware mt7986-wo-firmware
    hasImageMetadata: 1
    SupportedDevices: mercusys,mr90x-v1
netgear_wax220:
    NETGEAR WAX220
    Packages: kmod-mt7986-firmware mt7986-wo-firmware
    hasImageMetadata: 1
    SupportedDevices: netgear,wax220
qihoo_360t7:
    Qihoo 360T7
    Packages: kmod-mt7981-firmware mt7981-wo-firmware
    hasImageMetadata: 1
    SupportedDevices: qihoo,360t7
routerich_ax3000:
    Routerich AX3000
    Packages: kmod-mt7981-firmware mt7981-wo-firmware kmod-usb3
    hasImageMetadata: 1
    SupportedDevices: routerich,ax3000 mediatek,mt7981-spim-snand-rfb
tplink_tl-xdr4288:
    TP-Link TL-XDR4288
    Packages: kmod-usb3 kmod-mt7986-firmware mt7986-wo-firmware
    hasImageMetadata: 1
    SupportedDevices: tplink,tl-xdr4288
tplink_tl-xdr6086:
    TP-Link TL-XDR6086
    Packages: kmod-usb3 kmod-mt7986-firmware mt7986-wo-firmware
    hasImageMetadata: 1
    SupportedDevices: tplink,tl-xdr6086
tplink_tl-xdr6088:
    TP-Link TL-XDR6088
    Packages: kmod-usb3 kmod-mt7986-firmware mt7986-wo-firmware
    hasImageMetadata: 1
    SupportedDevices: tplink,tl-xdr6088
ubnt_unifi-6-plus:
    Ubiquiti UniFi 6 Plus
    Packages: kmod-mt7981-firmware mt7981-wo-firmware e2fsprogs f2fsck mkf2fs fdisk partx-utils
    hasImageMetadata: 1
    SupportedDevices: ubnt,unifi-6-plus
xiaomi_mi-router-wr30u-112m-nmbm:
    Xiaomi Mi Router WR30U (112M UBI with NMBM-Enabled layout)
    Packages: kmod-mt7981-firmware mt7981-wo-firmware
    hasImageMetadata: 1
    SupportedDevices: xiaomi,mi-router-wr30u-112m-nmbm
xiaomi_mi-router-wr30u-stock:
    Xiaomi Mi Router WR30U (stock layout)
    Packages: kmod-mt7981-firmware mt7981-wo-firmware
    hasImageMetadata: 1
    SupportedDevices: xiaomi,mi-router-wr30u-stock
xiaomi_mi-router-wr30u-ubootmod:
    Xiaomi Mi Router WR30U (OpenWrt U-Boot layout)
    Packages: kmod-mt7981-firmware mt7981-wo-firmware
    hasImageMetadata: 1
    SupportedDevices: xiaomi,mi-router-wr30u-ubootmod
xiaomi_redmi-router-ax6000-stock:
    Xiaomi Redmi Router AX6000 (stock layout)
    Packages: kmod-leds-ws2812b kmod-mt7986-firmware mt7986-wo-firmware
    hasImageMetadata: 1
    SupportedDevices: xiaomi,redmi-router-ax6000-stock
xiaomi_redmi-router-ax6000-ubootmod:
    Xiaomi Redmi Router AX6000 (OpenWrt U-Boot layout)
    Packages: kmod-leds-ws2812b kmod-mt7986-firmware mt7986-wo-firmware
    hasImageMetadata: 1
    SupportedDevices: xiaomi,redmi-router-ax6000-ubootmod
zbtlink_zbt-z8102ax:
    Zbtlink ZBT-Z8102AX
    Packages: kmod-mt7981-firmware mt7981-wo-firmware kmod-usb3 kmod-usb-net-qmi-wwan kmod-usb-serial-option
    hasImageMetadata: 1
    SupportedDevices: zbtlink,zbt-z8102ax
zbtlink_zbt-z8103ax:
    Zbtlink ZBT-Z8103AX
    Packages: kmod-mt7981-firmware mt7981-wo-firmware
    hasImageMetadata: 1
    SupportedDevices: zbtlink,zbt-z8103ax
zyxel_ex5601-t0-stock:
    Zyxel EX5601-T0 (stock layout)
    Packages: kmod-mt7986-firmware mt7986-wo-firmware kmod-usb3
    hasImageMetadata: 1
    SupportedDevices: mediatek,mt7986a-rfb-snand
zyxel_ex5601-t0-ubootmod:
    Zyxel EX5601-T0 (OpenWrt U-Boot layout)
    Packages: kmod-mt7986-firmware mt7986-wo-firmware kmod-usb3
    hasImageMetadata: 1
    SupportedDevices: zyxel,ex5601-t0-ubootmod
zyxel_ex5700-telenor:
    ZyXEL EX5700 (Telenor)
    Packages: kmod-mt7916-firmware kmod-ubootenv-nvram kmod-usb3 kmod-mt7986-firmware mt7986-wo-firmware
    hasImageMetadata: 1
    SupportedDevices: zyxel,ex5700-telenor
zyxel_nwa50ax-pro:
    ZyXEL NWA50AX Pro
    Packages: kmod-mt7981-firmware mt7981-wo-firmware zyxel-bootconfig
    hasImageMetadata: 1
    SupportedDevices: zyxel,nwa50ax-pro
Error: Received inncorrect version r24727-438a97fab6 (requested r24750-f1de1a090f)
Bad message (74)
1 Like

Wehn this happened before, I was able to update by modifying my package list which forced a new build to kick off. That only worked for a short time before things stopped working for everyone.

Hope this helps.

Thanks to all who support this amazing project!

1 Like

It is working for me today.

I was able to update to SNAPSHOt r24750 a couple of days ago. I haven't seen a new version since and got this error today when trying to build an image .

Generate local signing keys...
Generate local certificate...
Package list missing or not up-to-date, generating it.

Building package index...
Downloading https://downloads.openwrt.org/snapshots/targets/mediatek/filogic/packages/Packages.gz
Updated list of available packages in /builder/build_dir/target-aarch64_cortex-a53_musl/root-mediatek/../../../../builder/dl/openwrt_core
Downloading https://downloads.openwrt.org/snapshots/targets/mediatek/filogic/packages/Packages.sig
Signature check passed.
Downloading https://downloads.openwrt.org/snapshots/packages/aarch64_cortex-a53/base/Packages.gz
Updated list of available packages in /builder/build_dir/target-aarch64_cortex-a53_musl/root-mediatek/../../../../builder/dl/openwrt_base
Downloading https://downloads.openwrt.org/snapshots/packages/aarch64_cortex-a53/base/Packages.sig
Signature check passed.
Downloading https://downloads.openwrt.org/snapshots/targets/mediatek/filogic/kmods/5.15.145-1-1cf54042654b2547f993f355dc14e33f/Packages.gz
Updated list of available packages in /builder/build_dir/target-aarch64_cortex-a53_musl/root-mediatek/../../../../builder/dl/openwrt_kmods
Downloading https://downloads.openwrt.org/snapshots/targets/mediatek/filogic/kmods/5.15.145-1-1cf54042654b2547f993f355dc14e33f/Packages.sig
Signature check passed.
Downloading https://downloads.openwrt.org/snapshots/packages/aarch64_cortex-a53/luci/Packages.gz
Updated list of available packages in /builder/build_dir/target-aarch64_cortex-a53_musl/root-mediatek/../../../../builder/dl/openwrt_luci
Downloading https://downloads.openwrt.org/snapshots/packages/aarch64_cortex-a53/luci/Packages.sig
Signature check passed.
Downloading https://downloads.openwrt.org/snapshots/packages/aarch64_cortex-a53/packages/Packages.gz
Updated list of available packages in /builder/build_dir/target-aarch64_cortex-a53_musl/root-mediatek/../../../../builder/dl/openwrt_packages
Downloading https://downloads.openwrt.org/snapshots/packages/aarch64_cortex-a53/packages/Packages.sig
Signature check passed.
Downloading https://downloads.openwrt.org/snapshots/packages/aarch64_cortex-a53/routing/Packages.gz
Updated list of available packages in /builder/build_dir/target-aarch64_cortex-a53_musl/root-mediatek/../../../../builder/dl/openwrt_routing
Downloading https://downloads.openwrt.org/snapshots/packages/aarch64_cortex-a53/routing/Packages.sig
Signature check passed.
Downloading https://downloads.openwrt.org/snapshots/packages/aarch64_cortex-a53/telephony/Packages.gz
Updated list of available packages in /builder/build_dir/target-aarch64_cortex-a53_musl/root-mediatek/../../../../builder/dl/openwrt_telephony
Downloading https://downloads.openwrt.org/snapshots/packages/aarch64_cortex-a53/telephony/Packages.sig
Signature check passed.
Downloading file:packages/Packages
Updated list of available packages in /builder/build_dir/target-aarch64_cortex-a53_musl/root-mediatek/../../../../builder/dl/imagebuilder
Downloading file:packages/Packages.sig
Signature check passed.
Collected errors:
 * satisfy_dependencies_for: Cannot satisfy the following dependencies for bridger:
 * 	kernel (= 5.15.146-1-1cf54042654b2547f993f355dc14e33f)
 * opkg_install_cmd: Cannot install package bridger.
 * pkg_hash_check_unresolved: cannot find dependency kernel (= 5.15.146-1-1cf54042654b2547f993f355dc14e33f) for kmod-nf-reject
 * pkg_hash_check_unresolved: cannot find dependency kernel (= 5.15.146-1-1cf54042654b2547f993f355dc14e33f) for kmod-nf-reject6
 * pkg_hash_check_unresolved: cannot find dependency kernel (= 5.15.146-1-1cf54042654b2547f993f355dc14e33f) for kmod-nf-log
 * pkg_hash_check_unresolved: cannot find dependency kernel (= 5.15.146-1-1cf54042654b2547f993f355dc14e33f) for kmod-nf-log6
 * pkg_hash_check_unresolved: cannot find dependency kernel (= 5.15.146-1-1cf54042654b2547f993f355dc14e33f) for kmod-crypto-crc32c
 * pkg_hash_check_unresolved: cannot find dependency kernel (= 5.15.146-1-1cf54042654b2547f993f355dc14e33f) for kmod-nft-core
 * pkg_hash_check_unresolved: cannot find dependency kernel (= 5.15.146-1-1cf54042654b2547f993f355dc14e33f) for kmod-nft-offload
 * satisfy_dependencies_for: Cannot satisfy the following dependencies for firewall4:
 * 	kernel (= 5.15.146-1-1cf54042654b2547f993f355dc14e33f)
 * opkg_install_cmd: Cannot install package firewall4.
 * pkg_hash_check_unresolved: cannot find dependency kernel (= 5.15.146-1-1cf54042654b2547f993f355dc14e33f) for kmod-crypto-aead
 * pkg_hash_check_unresolved: cannot find dependency kernel (= 5.15.146-1-1cf54042654b2547f993f355dc14e33f) for kmod-crypto-md5
 * pkg_hash_check_unresolved: cannot find dependency kernel (= 5.15.146-1-1cf54042654b2547f993f355dc14e33f) for kmod-crypto-sha1
 * pkg_hash_check_unresolved: cannot find dependency kernel (= 5.15.146-1-1cf54042654b2547f993f355dc14e33f) for kmod-crypto-sha256
 * pkg_hash_check_unresolved: cannot find dependency kernel (= 5.15.146-1-1cf54042654b2547f993f355dc14e33f) for kmod-crypto-sha512
 * pkg_hash_check_unresolved: cannot find dependency kernel (= 5.15.146-1-1cf54042654b2547f993f355dc14e33f) for kmod-crypto-hw-safexcel
 * satisfy_dependencies_for: Cannot satisfy the following dependencies for kmod-crypto-hw-safexcel:
 * 	kernel (= 5.15.146-1-1cf54042654b2547f993f355dc14e33f)
 * opkg_install_cmd: Cannot install package kmod-crypto-hw-safexcel.
 * pkg_hash_check_unresolved: cannot find dependency kernel (= 5.15.146-1-1cf54042654b2547f993f355dc14e33f) for kmod-gpio-button-hotplug
 * pkg_hash_check_unresolved: cannot find dependency kernel (= 5.15.146-1-1cf54042654b2547f993f355dc14e33f) for kmod-leds-gpio
 * pkg_hash_check_unresolved: cannot find dependency kernel (= 5.15.146-1-1cf54042654b2547f993f355dc14e33f) for kmod-crypto-rng
 * pkg_hash_check_unresolved: cannot find dependency kernel (= 5.15.146-1-1cf54042654b2547f993f355dc14e33f) for kmod-crypto-gf128
 * pkg_hash_check_unresolved: cannot find dependency kernel (= 5.15.146-1-1cf54042654b2547f993f355dc14e33f) for kmod-mac80211
 * pkg_hash_check_unresolved: cannot find dependency kernel (= 5.15.146-1-1cf54042654b2547f993f355dc14e33f) for kmod-hwmon-core
 * pkg_hash_check_unresolved: cannot find dependency kernel (= 5.15.146-1-1cf54042654b2547f993f355dc14e33f) for kmod-thermal
 * pkg_hash_check_unresolved: cannot find dependency kernel (= 5.15.146-1-1cf54042654b2547f993f355dc14e33f) for kmod-mt7915e
 * satisfy_dependencies_for: Cannot satisfy the following dependencies for kmod-mt7915e:
 * 	kernel (= 5.15.146-1-1cf54042654b2547f993f355dc14e33f)
 * opkg_install_cmd: Cannot install package kmod-mt7915e.
 * pkg_hash_check_unresolved: cannot find dependency kernel (= 5.15.146-1-1cf54042654b2547f993f355dc14e33f) for kmod-mt7986-firmware
 * pkg_hash_check_unresolved: cannot find dependency kernel (= 5.15.146-1-1cf54042654b2547f993f355dc14e33f) for kmod-usb-core
 * pkg_hash_check_unresolved: cannot find dependency kernel (= 5.15.146-1-1cf54042654b2547f993f355dc14e33f) for kmod-usb3
 * satisfy_dependencies_for: Cannot satisfy the following dependencies for kmod-usb3:
 * 	kernel (= 5.15.146-1-1cf54042654b2547f993f355dc14e33f)
 * opkg_install_cmd: Cannot install package kmod-usb3.
 * pkg_hash_check_unresolved: cannot find dependency kernel (= 5.15.146-1-1cf54042654b2547f993f355dc14e33f) for kmod-nf-ipt
 * pkg_hash_check_unresolved: cannot find dependency kernel (= 5.15.146-1-1cf54042654b2547f993f355dc14e33f) for kmod-ipt-core
 * pkg_hash_check_unresolved: cannot find dependency kernel (= 5.15.146-1-1cf54042654b2547f993f355dc14e33f) for kmod-lib-crc-ccitt
 * satisfy_dependencies_for: Cannot satisfy the following dependencies for ppp:
 * 	kernel (= 5.15.146-1-1cf54042654b2547f993f355dc14e33f)
 * opkg_install_cmd: Cannot install package ppp.
 * satisfy_dependencies_for: Cannot satisfy the following dependencies for ppp-mod-pppoe:
 * 	kernel (= 5.15.146-1-1cf54042654b2547f993f355dc14e33f)
 * opkg_install_cmd: Cannot install package ppp-mod-pppoe.
make[2]: *** [Makefile:189: package_install] Error 255
make[1]: *** [Makefile:154: _call_manifest] Error 2
make: *** [Makefile:274: manifest] Error 2

Autocomplete not working for me today. Anyone else having such an issue?

1 Like

yea, me too

The data for the firmware-selector seems to come from some older backup. The admin has been informed.

Thank you for the report. :slight_smile:

2 Likes

Seems to be working now.

I'm seeing the same old version return, but in a slightly different way: while trying to upgrade to 24793 from 24774, I instantly get my current 24774 build returned: